Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.application
Enum CoreConfiguration.Items

    java.lang.Object
      java.lang.Enum<CoreConfiguration.Items>
          org.richfaces.application.CoreConfiguration.Items

All Implemented Interfaces:
  Serializable, Comparable<CoreConfiguration.Items>

Enclosing class:
  CoreConfiguration

    public static enum CoreConfiguration.Items

extends Enum<CoreConfiguration.Items>

Enum Constant Summary
`baseSkin`
`executeAWTInitializer`
`lruMapCacheSize`
`pushHandlerMapping`
`pushJMSConnectionFactory`
`pushJMSConnectionPassword`
`pushJMSConnectionPasswordEnvRef`
`pushJMSConnectionUsername`
`pushJMSConnectionUsernameEnvRef`
`pushJMSDisable`
`pushJMSTopicsNamespace`
`resourceMappingCompressedStages`
`resourceMappingEnabled`
`resourceMappingFile`
`resourceMappingLocation`
`resourceMappingPackedStages`
`resourcesCacheSize`
`resourcesDefaultVersion`
`resourcesTTL`
`skin` Name of web application init parameter for current skin .
`standardControlsSkinning`
`standardControlsSkinningClasses`
`staticResourceLocation` Deprecated.

Method Summary
`static CoreConfiguration.Items` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CoreConfiguration.Items[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### standardControlsSkinning

    @ConfigurationItem(defaultValue="true",
                       names="org.richfaces.enableControlSkinning")
    public static final CoreConfiguration.Items standardControlsSkinning

### standardControlsSkinningClasses

    @ConfigurationItem(defaultValue="false",
                       names="org.richfaces.enableControlSkinningClasses")
    public static final CoreConfiguration.Items standardControlsSkinningClasses

### skin

    @ConfigurationItem(names="org.richfaces.skin")
    public static final CoreConfiguration.Items skin

  Name of web application init parameter for current skin . Can be simple String for non-modified name, or EL-expression for calculate current skin. If EL evaluated to `String` - used as skin name, if to instance of `org.richfaces.Skin` - used this instance. by default - "org.richfaces.skin"

### baseSkin

    @ConfigurationItem(names="org.richfaces.baseSkin")
    public static final CoreConfiguration.Items baseSkin

### resourcesTTL

    @ConfigurationItem(defaultValue="86400",
                       names="org.richfaces.resourceDefaultTTL",
                       literal=true)
    public static final CoreConfiguration.Items resourcesTTL

### resourcesCacheSize

    @ConfigurationItem(defaultValue="512",
                       names="org.richfaces.resourceCacheSize",
                       literal=true)
    public static final CoreConfiguration.Items resourcesCacheSize

### resourcesDefaultVersion

    @ConfigurationItem(names="org.richfaces.resourceDefaultVersion")
    public static final CoreConfiguration.Items resourcesDefaultVersion

### lruMapCacheSize

    @ConfigurationItem(names="org.ajax4jsf.cache.LRU_MAP_CACHE_SIZE",
                       literal=true)
    public static final CoreConfiguration.Items lruMapCacheSize

### staticResourceLocation

    @Deprecated
    @ConfigurationItem(names="org.richfaces.staticResourceLocation")
    public static final CoreConfiguration.Items staticResourceLocation

  Deprecated.

### resourceMappingEnabled

    @ConfigurationItem(defaultValue="false",
                       names="org.richfaces.resourceMapping.enabled",
                       literal=true)
    public static final CoreConfiguration.Items resourceMappingEnabled

### resourceMappingLocation

    @ConfigurationItem(names="org.richfaces.resourceMapping.location",
                       literal=true)
    public static final CoreConfiguration.Items resourceMappingLocation

### resourceMappingFile

    @ConfigurationItem(names="org.richfaces.resourceMapping.mappingFile")
    public static final CoreConfiguration.Items resourceMappingFile

### resourceMappingCompressedStages

    @ConfigurationItem(defaultValue="Production,SystemTest",
                       names="org.richfaces.resourceMapping.compressedStages",
                       literal=true)
    public static final CoreConfiguration.Items resourceMappingCompressedStages

### resourceMappingPackedStages

    @ConfigurationItem(defaultValue="All",
                       names="org.richfaces.resourceMapping.packedStages",
                       literal=true)
    public static final CoreConfiguration.Items resourceMappingPackedStages

### executeAWTInitializer

    @ConfigurationItem(defaultValue="true",
                       names="org.richfaces.executeAWTInitializer",
                       literal=true)
    public static final CoreConfiguration.Items executeAWTInitializer

### pushHandlerMapping

    @ConfigurationItem(names="org.richfaces.push.handlerMapping",
                       literal=true)
    public static final CoreConfiguration.Items pushHandlerMapping

### pushJMSConnectionFactory

    @ConfigurationItem(defaultValue="/ConnectionFactory",
                       names="org.richfaces.push.jms.connectionFactory")
    public static final CoreConfiguration.Items pushJMSConnectionFactory

### pushJMSDisable

    @ConfigurationItem(defaultValue="false",
                       names="org.richfaces.push.jms.disable")
    public static final CoreConfiguration.Items pushJMSDisable

### pushJMSTopicsNamespace

    @ConfigurationItem(defaultValue="/topic",
                       names="org.richfaces.push.jms.topicsNamespace")
    public static final CoreConfiguration.Items pushJMSTopicsNamespace

### pushJMSConnectionUsername

    @ConfigurationItem(defaultValue="",
                       names="org.richfaces.push.jms.connectionUsername")
    public static final CoreConfiguration.Items pushJMSConnectionUsername

### pushJMSConnectionUsernameEnvRef

    @ConfigurationItem(defaultValue="",
                       names="org.richfaces.push.jms.connectionUsername",
                       source=webEnvironmentEntry)
    public static final CoreConfiguration.Items pushJMSConnectionUsernameEnvRef

### pushJMSConnectionPassword

    @ConfigurationItem(defaultValue="",
                       names="org.richfaces.push.jms.connectionPassword")
    public static final CoreConfiguration.Items pushJMSConnectionPassword

### pushJMSConnectionPasswordEnvRef

    @ConfigurationItem(defaultValue="",
                       names="org.richfaces.push.jms.connectionPassword",
                       source=webEnvironmentEntry)
    public static final CoreConfiguration.Items pushJMSConnectionPasswordEnvRef

Method Detail

### values

    public static CoreConfiguration.Items[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CoreConfiguration.Items c : CoreConfiguration.Items.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CoreConfiguration.Items valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.